Recovering a DKE Endpoint
Use the post v1/cckm/microsoft/dke/endpoints/{id}/recover API to change the state of a Microsoft DKE endpoint that is in an archived state to the enabled state. After a DKE endpoint is recovered, it can be used for all operations.
Note
Running this API consumes a CCKM license increasing the total CCKM license count.
Syntax
curl -k '<CCKM IP address>/api/v1/cckm/microsoft/dke/endpoints/{id}/recover' -X POST -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed
Here, {id} is the ID of the DKE endpoint.
Request Parameter
| Parameter | Type | Description |
|---|---|---|
| AUTHTOKEN | string | Authorization token. |
| id | string | ID of the DKE endpoint. |
Example Request
curl -k 'https://10.171.15.127/api/v1/cckm/microsoft/dke/endpoints/0289f816-e22d-4bbb-b90c-08f37a3011e6/recover' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJlZGVjZGEzNS01MjljLTRlMzQtODIyOS0yOWZiZTJkMmM5ZjgiLCJzdWIiOiJsb2NhbHw3ZThiMjZjMC01YmUyLTQ5NjEtOGJhNC1iMTI5NjZiMzZjNzYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJjbGllbnRfaWQiOiI4MzdjODQwZC03NWRkLTRiNGYtYTMxOC03OWNiMTZjYTI0OGQiLCJjbGllbnRfbmFtZSI6ImFwaS1wbGF5Z3JvdW5kIiwiY2xpZW50X3R5cGUiOiJwdWJsaWMiLCJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMTU5NjdkNjctNDk3ZC00NTM1LTlmNzMtZDViZTkyYmY1OTcxIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjVkZDhhZDlkLTM4NTUtNDk5NC04YzBlLTdiY2RkMjEyM2QxMSIsImlhdCI6MTY5NzY4NjI2NCwiZXhwIjoxNjk3Njg2NTY0fQ.SDcdOCW3z7TPLVT56Q-QoHREf5V3-WWY56NcNtyZcbA' -H 'accept: application/json' --compressed
Example Response
{
"id": "0289f816-e22d-4bbb-b90c-08f37a3011e6",
"uri": "kylo:kylo:cckm:kylo:kylo:cckm:dke-endpoint:0289f816-e22d-4bbb-b90c-08f37a3011e6",
"account": "kylo:kylo:admin:accounts:kylo",
"createdAt": "2023-10-18T23:01:59.459884Z",
"updatedAt": "2023-10-18T23:02:34.76482Z",
"name": "dke_endpoint_37",
"description": "demo dke endpoint 37",
"key_uri_hostname": "dke.thales.com",
"key_uri": "https://dke.thales.com/api/v1/cckm/microsoft/dke-data-plane/endpoints/0289f816-e22d-4bbb-b90c-08f37a3011e6/keys/ks-f84e1cda6cdb4176b7cb20e17f1461d97c662bd190ca4a789a918cad4e4e1a81",
"kek_name": "ks-f84e1cda6cdb4176b7cb20e17f1461d97c662bd190ca4a789a918cad4e4e1a81",
"kek_id": "f84e1cda6cdb4176b7cb20e17f1461d97c662bd190ca4a789a918cad4e4e1a81",
"kek_uuid": "5c722002-51ea-4c25-8daa-1a9864dc6836",
"meta": {
"size": "big",
"color": "blue"
},
"kek_version": "0",
"key_type": "asymmetric",
"algorithm": "RSA_DECRYPT_OAEP_2048_SHA256",
"authorization_params": {
"valid_issuers": [
"https://sts.windows.net/9c99431e-b513-44be-a7d9-e7b500002d4b/"
],
"authorization_type": "email",
"email_authz_params": {
"authorized_email_addresses": [
"rachel-roe@google.com",
"jane-doe@yahoo.com"
]
},
"role_authz_params": {}
},
"enable_success_audit_event": true,
"auto_rotate": false,
"status": "Enabled"
}
The sample output shows that the DKE endpoint with the ID of 0289f816-e22d-4bbb-b90c-08f37a3011e6 is successfully recovered. The status of the endpoint now reflects Enabled.
Response Codes
| Response Code | Description |
|---|---|
| 2xx | Success |
| 4xx | Client errors |
| 5xx | Server errors |
Refer to HTTP status codes for details.